Package eu.mhsl.minenet.minigames.instance.game

# Enum Class GameType

java.lang.Object
java.lang.Enum<GameType>
eu.mhsl.minenet.minigames.instance.game.GameType

All Implemented Interfaces:
  `Serializable`, `Comparable<GameType>`, `Constable`

public enum GameType extends Enum<GameType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `OTHER`
  `PVE`
  `PVP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TranslatedComponent`
  `getDescription()`
  `net.minestom.server.item.Material`
  `getIcon()`
  `TranslatedComponent`
  `getTitle()`
  `static GameType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GameType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OTHER

    public static final GameType OTHER

  - ### PVP

    public static final GameType PVP

  - ### PVE

    public static final GameType PVE

- ## Method Details

  - ### values

    public static GameType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GameType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getIcon

    public net.minestom.server.item.Material getIcon()

  - ### getTitle

    public TranslatedComponent getTitle()

  - ### getDescription

    public TranslatedComponent getDescription()